Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

API token obtained from the Tokens endpoint or CLI device login. Include as Authorization: Bearer <token>. Requests made with a managed CLI session also include X-Strix-Workspace: <organization_id> to pin a process to the workspace it started in; recovery endpoints report the current workspace after a concurrent switch.

Path Parameters

scanId
string<uuid>
required

UUID of the scan. Use the id field of a scan from listScans.

Query Parameters

agent_id
string
required

Agent to read, from GET /scans/{scanId}/agents.

cursor
string

Cursor returned by the previous page.

limit
integer

Maximum number of steps to return. The default is 40 and the maximum is 100.

Required range: 1 <= x <= 100
tool_name
string

Return only the steps of one tool.

Response

One page of agent steps.

The response is of type object.